[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# WideCharLenToString

Convert a length-limited array of widechar to an ansistring

## Declaration

Source position: ustringh.inc line 36

`function WideCharLenToString(`
`S: PWideChar;`
`Len: SizeInt`
`):AnsiString;`

## Description

WideCharLenToString converts at most Len widecharacters from the null-terminated widechar array S to an ansistring, and returns the ansistring.

## Errors

No validity checking is performed on S. Passing an invalid pointer may lead to access violations.

## See also

StringToWideChar |  | Convert a string to an array of widechars.
WideCharToString |  | Convert a null-terminated array of widechar to an ansistring
WideCharToStrVar |  | Convert a null-terminated array of widechar to an ansistring
WideCharLenToStrVar |  | Convert a length-limited array of widechar to an ansistring

Documentation generated on: Feb 26 2014